    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.lang.Long

    java.lang.Object
       |
       +----java.lang.Number
               |
               +----java.lang.Long

public final class Long
extends Number

The Long class wraps a value of the primitive type `long` in an object. An object of type `Long` contains a single field whose type is `long`.

In addition, this class provides several methods for converting a `long` to a `String` and a `String` to a `long`, as well as other constants and methods useful when dealing with a `long`.

##

MAX_VALUE
  The largest value of type `long`.
MIN_VALUE
  The smallest value of type `long`.
TYPE
  The Class object representing the primitive type long.

##

Long(long)
  Constructs a newly allocated `Long` object that represents the primitive `long` argument.
Long(String)
  Constructs a newly allocated `Long` object that represents the value represented by the string.

##

byteValue()
  Returns the value of this Long as a byte.
doubleValue()
  Returns the value of this Long as a double.
equals(Object)
  Compares this object against the specified object.
floatValue()
  Returns the value of this Long as a float.
getLong(String)
  Determines the `long` value of the system property with the specified name.
getLong(String, Long)
  Determines the `long` value of the system property with the specified name.
getLong(String, long)
  Determines the `long` value of the system property with the specified name.
hashCode()
  Computes a hashcode for this Long.
intValue()
  Returns the value of this Long as an int.
longValue()
  Returns the value of this Long as a long.
parseLong(String)
  Parses the string argument as a signed decimal `long`.
parseLong(String, int)
  Parses the string argument as a signed `long` in the radix specified by the second argument.
shortValue()
  Returns the value of this Long as a short.
toBinaryString(long)
  Creates a string representation of the long argument as an unsigned integer in base 2.
toHexString(long)
  Creates a string representation of the long argument as an unsigned integer in base 16.
toOctalString(long)
  Creates a string representation of the long argument as an unsigned integer in base 8.
toString()
  Returns a String object representing this Long's value.
toString(long)
  Returns a new String object representing the specified integer.
toString(long, int)
  Creates a string representation of the first argument in the radix specified by the second argument.
valueOf(String)
  Returns a new long object initialized to the value of the specified String.
valueOf(String, int)
  Returns a new long object initialized to the value of the specified String.

##

MIN_VALUE

     public static final long MIN_VALUE

  The smallest value of type `long`.

MAX_VALUE

     public static final long MAX_VALUE

  The largest value of type `long`.

TYPE

     public static final Class TYPE

  The Class object representing the primitive type long.

##

Long

     public Long(long value)

  Constructs a newly allocated `Long` object that represents the primitive `long` argument.

  Parameters:
    value - the value to be represented by the `Long`.

Long

     public Long(String s) throws NumberFormatException

  Constructs a newly allocated `Long` object that represents the value represented by the string. The string is converted to an `long` value as if by the `valueOf` method.

  Parameters:
    s - the string to be converted to a `Long`.
  Throws: NumberFormatException
    if the `String` does not contain a parsable long integer.
  See Also:
    valueOf

##

toString

     public static String toString(long i,
                                   int radix)

  Creates a string representation of the first argument in the radix specified by the second argument.

  If the radix is smaller than `Character.MIN_RADIX` or larger than `Character.MAX_RADIX`, then the radix `10` is used instead.

  If the first argument is negative, the first element of the result is the ASCII minus sign `'-'`. If the first argument is not negative, no sign character appears in the result. The following ASCII characters are used as digits:

  `0123456789abcdefghijklmnopqrstuvwxyz`

  Parameters:
    i - a long.
    radix - the radix.
  Returns:
    a string representation of the argument in the specified radix.
  See Also:
    MAX_RADIX, MIN_RADIX

toHexString

     public static String toHexString(long i)

  Creates a string representation of the long argument as an unsigned integer in base 16.

  The unsigned long value is the argument plus 264 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in hexadecimal (base 16) with no extra leading `0`s.

  Parameters:
    i - a `long`.
  Returns:
    the string representation of the unsigned long value represented by the argument in hexadecimal (base 16).

toOctalString

     public static String toOctalString(long i)

  Creates a string representation of the long argument as an unsigned integer in base 8.

  The unsigned long value is the argument plus 264 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in octal (base 8) with no extra leading `0`s.

  Parameters:
    i - a `long`.
  Returns:
    the string representation of the unsigned long value represented by the argument in octal (base 8).

toBinaryString

     public static String toBinaryString(long i)

  Creates a string representation of the long argument as an unsigned integer in base 2.

  The unsigned long value is the argument plus 264 if the argument is negative; otherwise, it is equal to the argument. This value is converted to a string of ASCII digits in binary (base 2) with no extra leading `0`s.

  Parameters:
    i - a long.
  Returns:
    the string representation of the unsigned long value represented by the argument in binary (base 2).

toString

     public static String toString(long i)

  Returns a new String object representing the specified integer. The radix is assumed to be 10.

  Parameters:
    i - a `long` to be converted.
  Returns:
    a string representation of the argument in base 10.

parseLong

     public static long parseLong(String s,
                                  int radix) throws NumberFormatException

  Parses the string argument as a signed `long` in the radix specified by the second argument. The characters in the string must all be digits of the specified radix (as determined by whether `Character.digit` returns a nonnegative value), except that the first character may be an ASCII minus sign `'-'` to indicate a negative value. The resulting `long` value is returned.

  Parameters:
    s - the `String` containing the `long`.
    radix - the radix to be used.
  Returns:
    the `long` represented by the string argument in the specified radix.
  Throws: NumberFormatException
    if the string does not contain a parsable integer.

parseLong

     public static long parseLong(String s) throws NumberFormatException

  Parses the string argument as a signed decimal `long`. The characters in the string must all be decimal digits, except that the first character may be an ASCII minus sign `'-'` to indicate a negative value.

  Parameters:
    s - a string.
  Returns:
    the `long` represented by the argument in decimal.
  Throws: NumberFormatException
    if the string does not contain a parsable `long`.

valueOf

     public static Long valueOf(String s,
                                int radix) throws NumberFormatException

  Returns a new long object initialized to the value of the specified String. Throws an exception if the String cannot be parsed as a long.

  Parameters:
    s - the `String` containing the `long`.
    radix - the radix to be used.
  Returns:
    a newly constructed `Long` initialized to the value represented by the string argument in the specified radix.
  Throws: NumberFormatException
    If the `String` does not contain a parsable `long`.

valueOf

     public static Long valueOf(String s) throws NumberFormatException

  Returns a new long object initialized to the value of the specified String. Throws an exception if the String cannot be parsed as a long. The radix is assumed to be 10.

  Parameters:
    s - the string to be parsed.
  Returns:
    a newly constructed `Long` initialized to the value represented by the string argument.
  Throws: NumberFormatException
    If the `String` does not contain a parsable `long`.

byteValue

     public byte byteValue()

  Returns the value of this Long as a byte.

  Overrides:
    byteValue in class Number

shortValue

     public short shortValue()

  Returns the value of this Long as a short.

  Overrides:
    shortValue in class Number

intValue

     public int intValue()

  Returns the value of this Long as an int.

  Returns:
    the `long` value represented by this object is converted to type `int` and the result of the conversion is returned.
  Overrides:
    intValue in class Number

longValue

     public long longValue()

  Returns the value of this Long as a long.

  Returns:
    the `long` value represented by this object.
  Overrides:
    longValue in class Number

floatValue

     public float floatValue()

  Returns the value of this Long as a float.

  Returns:
    the `long` value represented by this object is converted to type `float` and the result of the conversion is returned.
  Overrides:
    floatValue in class Number

doubleValue

     public double doubleValue()

  Returns the value of this Long as a double.

  Returns:
    the `long` value represented by this object that is converted to type `double` and the result of the conversion is returned.
  Overrides:
    doubleValue in class Number

toString

     public String toString()

  Returns a String object representing this Long's value.

  Returns:
    a string representation of this object in base 10.
  Overrides:
    toString in class Object

hashCode

     public int hashCode()

  Computes a hashcode for this Long.

  Returns:
    a hash code value for this object.
  Overrides:
    hashCode in class Object

equals

     public boolean equals(Object obj)

  Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and is a `Long` object that contains the same `long` value as this object.

  Parameters:
    obj - the object to compare with.
  Returns:
    `true` if the objects are the same; `false` otherwise.
  Overrides:
    equals in class Object

getLong

     public static Long getLong(String nm)

  Determines the `long` value of the system property with the specified name.

  The first argument is treated as the name of a system property. System properties are accessible through `getProperty` and , a method defined by the `System` class. The string value of this property is then interpreted as a long value and a `Long` object representing this value is returned. Details of possible numeric formats can be found with the definition of `getProperty`.

  If there is no property with the specified name, or if the property does not have the correct numeric format, then `null` is returned.

  Parameters:
    nm - property name.
  Returns:
    the `Long` value of the property.
  See Also:
    getProperty, getProperty

getLong

     public static Long getLong(String nm,
                                long val)

  Determines the `long` value of the system property with the specified name.

  The first argument is treated as the name of a system property. System properties are accessible through `getProperty` and , a method defined by the `System` class. The string value of this property is then interpreted as a long value and a `Long` object representing this value is returned. Details of possible numeric formats can be found with the definition of `getProperty`.

  If there is no property with the specified name, or if the property does not have the correct numeric format, then a `Long` object that represents the value of the second argument is returned.

  Parameters:
    nm - property name.
    val - default value.
  Returns:
    the `Long` value of the property.
  See Also:
    getProperty, getProperty

getLong

     public static Long getLong(String nm,
                                Long val)

  Determines the `long` value of the system property with the specified name.

  The first argument is treated as the name of a system property. System properties are accessible through `getProperty` and , a method defined by the `System` class. The string value of this property is then interpreted as a long value and a `Long` object representing this value is returned.

  If the property value begins with "`0x`" or "`#`", not followed by a minus sign, the rest of it is parsed as a hexadecimal integer exactly as for the method `Long.valueOf` with radix 16.

  If the property value begins with "`0`", then it is parsed as an octal integer exactly as for the method `Long.valueOf` with radix 8.

  Otherwise the property value is parsed as a decimal integer exactly as for the method `Long.valueOf` with radix 10.

  Note that, in every case, neither `L` nor `l` is permitted to appear at the end of the string.

  The second argument is the default value. If there is no property of the specified name, or if the property does not have the correct numeric format, then the second argument is returned.

  Parameters:
    nm - the property name.
    val - the default `Long` value.
  Returns:
    the `long` value of the property.
  See Also:
    valueOf, getProperty, getProperty

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.